import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

part 'custom_bottom_bar.g.dart';

@ComponentCopyWithExtension()
class CustomBottomNavigationBar extends BottomNavigationBarComponent
    with $CustomBottomNavigationBarCWMixin {
  const CustomBottomNavigationBar({
    super.currentIndex,
    super.onTap,
    super.key,
  });

  @override
  Widget build(BuildContext context) => BottomNavigationBar(
        currentIndex: currentIndex,
        onTap: (index) => super.onTap?.call(context, index),
        items: const [
          BottomNavigationBarItem(
            label: 'Icon 1',
            icon: Icon(
              Icons.nearby_off,
            ),
          ),
          BottomNavigationBarItem(
            label: 'Icon 2',
            icon: Icon(
              Icons.dangerous,
            ),
          ),
        ],
      );
}
